using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace asodjno
{
    class Program
    {
        static void Main(string[] args)
        {
            LinkedList<string> a = new LinkedList<string>();

            for(int i=0; i<2; i++)
            {
                int x = Convert.ToInt32(Console.ReadLine());
                string y = Convert.ToString(x);
                a.AddLast(y);
            }

            LinkedListNode<string> prvi = a.First;
            LinkedListNode<string> drugi = a.Last;
            string treci="";

            if (prvi.Value.Length < drugi.Value.Length)
            {
                string novi="";
                int n = drugi.Value.Length - prvi.Value.Length;
                while (n > 0)
                {
                    novi += '#';
                    n--;
                }
                novi += prvi.Value;
                prvi.Value = novi;
            }
            else if(prvi.Value.Length > drugi.Value.Length)
            {
                string novi1 = "";
                int m = prvi.Value.Length - drugi.Value.Length;
                while (m > 0)
                {
                    novi1 += '#';
                    m--;
                }
                novi1 += drugi.Value;
                drugi.Value = novi1;
            }
            int k=0;
            if (prvi.Value.Length == drugi.Value.Length) k = prvi.Value.Length;

            for(int i=0; i<k; i++)
            {
                if (prvi.Value[i] == drugi.Value[i])
                {
                    treci += prvi.Value[i];
                    treci += drugi.Value[i];
                }
                else if (prvi.Value[i] > drugi.Value[i]) treci += prvi.Value[i];
                else treci += drugi.Value[i];
            }
            Console.WriteLine(treci);
        }
    }
}